/*
** This file is part of Solarflare SolarCapture.
** 
** Copyright 2012-2017  Solarflare Communications Inc.
**                      7505 Irvine Center Drive, Irvine, CA 92618, USA
** 
** Proprietary and confidential.  All rights reserved.
** 
** Please see LICENSE.txt included in this distribution for terms of use.
*/

/**
 * \file
 * \brief Ethernet protocol definitions.
 */

#ifndef __SOLAR_CAPTURE_ETHERNET_H__
#define __SOLAR_CAPTURE_ETHERNET_H__


#define SC_ETHERTYPE_8021Q        0x8100    /**< EtherType for IEEE 802.1Q */
#define SC_ETHERTYPE_8021QinQ     0x88a8    /**< EtherType for IEEE 802.1QinQ */


#define SC_8021Q_VID_MASK         0xfff	    /**< Mask for VLAN identifier (VID) */


#endif  /* __SOLAR_CAPTURE_ETHERNET_H__ */
/** @} */
